Bug 141901 - Error while retrieving package
Error while retrieving package
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
: 139351 141289 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-04 19:03 EST by Todd Bailey
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Bailey 2004-12-04 19:03:10 EST
Description of problem:


Error while retrieving package prelink-0.3.3-0.fc3.
The message was:

An HTTP error occurred:
URL:
http://ftp.chg.ru/pub/Linux/fedora/linux/core/updates/3/i386//prelink-0.3.3-0.fc3.i386.rpm
Status Code: 404
Error Message: Not Found
Comment 1 Todd Bailey 2004-12-04 19:06:34 EST
this happens for a randon selected package and is not just for the
package listed

this system connected to the internet via a high latency satellite link
Comment 2 Adrian Likins 2004-12-06 11:54:44 EST
are all the errors for ftp.chg.ru? 

If it was just that site, I suspect it was an mirror
sync issue. 
Comment 3 Todd Bailey 2004-12-17 00:06:05 EST
Error while retrieving package MyODBC-2.50.39-19.1.
The message was:

An HTTP error occurred:
URL:
http://ftp.uni-koeln.de/fedora/updates/3/i386//SRPMS/MyODBC-2.50.39-19.1.src.rpm
Status Code: 404
Error Message: Not Found
Comment 4 Todd Bailey 2004-12-17 10:34:04 EST
There was a fatal error communicating with the server.  The message was:

An HTTP error occurred:
URL:
http://fr.rpmfind.net/linux/fedora/core/updates/3/i386/headers/header.info
Status Code: 403
Error Message: Forbidden
Comment 5 Todd Bailey 2004-12-17 10:38:43 EST
Error while retrieving package postgresql-7.4.6-1.FC3.2.
The message was:

An HTTP error occurred:
URL:
http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/3/i386/SRPMS/postgresql-7.4.6-1.FC3.2.src.rpm
Status Code: 404
Error Message: Not Found
Comment 6 Todd Bailey 2004-12-17 23:52:43 EST
I've been monitoring this error and I have observed that it sometimes 
occurs after the file download has begun or after the file download 
has completed. 
Comment 7 Todd Bailey 2005-01-22 01:02:56 EST
this is happening quite regularily now after downloading the file the
app throws up the error.

Error while retrieving package abiword-2.0.12-9.
The message was:

An HTTP error occurred:
URL:
http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/3/i386//SRPMS/abiword-2.0.12-9.src.rpm
Status Code: 404
Error Message: Not Found

occured after download of file.

-----------

Error while retrieving package alsa-lib-1.0.6-7.FC3.
The message was:

An HTTP error occurred:
URL:
http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/3/i386//SRPMS/alsa-lib-1.0.6-7.FC3.src.rpm
Status Code: 404
Error Message: Not Found

occured after download of file.
Comment 8 Todd Bailey 2005-01-22 01:39:00 EST
Not sure it this makes any difference but I am running multiple scsi
drives on a aha 2940 uw controller.  I was wondering that maybe the os
is looking for the file before the controller has finished writting it
to disk since now the error appears after the file has finished
downloading.
Comment 9 Steven D. Harris 2005-04-29 14:56:22 EDT
up2date is composing the wrong URL's for the SRPMS.  I can get NO SRPMS with
up2date and must download them manually:

An HTTP error occurred:
URL:
http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/3/i386//SRPMS/abiword-2.0.12-9.src.rpm
Status Code: 404
Error Message: Not Found

NOTE:  That URL is INCORRECT.  The CORRECT URL for updates is:
http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/3/SRPMS/...

And this appears to be true about all update packages on all mirrors.  Though
some mirror(s) do serve "non-error" pages at the wrong URL and therefore result
in neither the 404 error (200 status instead) nor a correct download (no GPG
sig, content is a text/html).

Why is this not fixed yet?  Either the structure of the mirror or the rewrite
algorithm for the URL is wrong.  How would I patch this?
Comment 10 Jay Moore 2005-05-30 10:25:07 EDT
Steven is correct - the URL's are being formed incorrectly. An additional example:

up2date tried to fetch the following:
http://mirror.stanford.edu/fedora/linux/core/updates/3/i386//SRPMS/ImageMagick-6.2.2.0-2.fc3.src.rpm

which should have been:
http://mirror.stanford.edu/fedora/linux/core/updates/3/SRPMS/ImageMagick-6.2.2.0-2.fc3.src.rpm

In my case, this occurred just after an upgrade from FC2 to FC3.
Comment 11 Rahul Sundaram 2005-06-27 12:17:34 EDT
*** Bug 141289 has been marked as a duplicate of this bug. ***
Comment 12 Rahul Sundaram 2005-06-27 12:17:44 EDT
*** Bug 139351 has been marked as a duplicate of this bug. ***
Comment 13 M.Seiler 2005-08-15 05:44:26 EDT
I try to download kernel source with up2date. Maybe it's the same bug.

up2date --get-source kernel

Fetching all package list for channel: dag...
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information
Comment 14 Matthew Miller 2006-07-10 19:26:09 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 15 John Thacker 2006-10-29 10:03:26 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.